# Generated by Django 4.0.4 on 2022-05-27 15:54

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Departamento',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('codigo', models.CharField(help_text='Código Oficial del Departamento', max_length=2, unique=True)),
                ('nombre', models.CharField(help_text='Nombre del Departamento', max_length=128, unique=True)),
            ],
            options={
                'verbose_name': 'Departamento',
                'verbose_name_plural': 'Departamentos',
            },
        ),
        migrations.CreateModel(
            name='Municipio',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('codigo', models.CharField(help_text='Código Oficial del municipio en el departamento', max_length=2)),
                ('nombre', models.CharField(help_text='Nombre del Municipio', max_length=128)),
                ('departamento', models.ForeignKey(help_text='Departamento en el cual se encuentra ubicado', on_delete=django.db.models.deletion.CASCADE, to='general.departamento')),
            ],
            options={
                'verbose_name': 'Municipio',
                'verbose_name_plural': 'Municipios',
                'unique_together': {('codigo', 'departamento')},
            },
        ),
        migrations.CreateModel(
            name='Aldea',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('codigo', models.CharField(help_text='Código Oficial de la aldea', max_length=3)),
                ('nombre', models.CharField(help_text='Nombre de la Aldea', max_length=128)),
                ('municipio', models.ForeignKey(help_text='Municipio donde se encuentra ubicada la aldea', on_delete=django.db.models.deletion.CASCADE, to='general.municipio')),
            ],
            options={
                'verbose_name': 'Aldea',
                'verbose_name_plural': 'Aldeas',
            },
        ),
    ]
